Page MenuHomePhabricator

Enable Flow on Web APIs talk pages on mediawiki.org
Closed, ResolvedPublic

Description

Can I haz Flow on all talk pages of Category:Web APIs hub pages?

A few of these have a talk page already. None is LQT.

I'm not in the "flow bot" group so I can't run Special:EnableFlow. I added some of these to outdated Flow/Rollout page. Thanks!

Event Timeline

Spage assigned this task to DannyH.
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 19 2015, 3:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Qgil added a subscriber: Qgil.Jun 19 2015, 8:44 AM

This is a blocker of T101441: Goal: Integrate the new Web APIs hub with mediawiki.org in three months, not a blocker of T307: Announcing the Developer Hub prototype release now.

In mediawiki.org, this developer hub will be in an own namespace, so I think the easiest would be to enable Flow in all discussion pages of such namespace. Unless the entire mediawiki.org has been moved to Flow, of course. :)

Okay, I put Flow on the existing pages in the category. Do you know when the new namespace will be added?

DannyH triaged this task as Normal priority.Jun 19 2015, 6:34 PM
Qgil added a comment.Jun 22 2015, 10:44 AM

We have committed to deliver T101441: Goal: Integrate the new Web APIs hub with mediawiki.org by the end of September. We will have time to sync.

Okay, I put Flow on the existing pages in the category.

I <3 you man.

Do you know when the new namespace will be added?

When I have the strength to battle the nay-sayers :)
When I do so, I'll rename these pages and their talk pages, so I'll be testing out the "move Flow-enabled page" code path.

Qgil added a comment.Aug 4 2015, 10:20 AM

According to our current plan, the Web Apis Hub would be the entire API: namespace in mediawiki.org. How does this fit with the plan for deploying Flow in mediawiki.org? Maybe we need a specific community consultation about this move.

Spage renamed this task from Enable Flow on data and developer hub talk pages on mediawiki.org to Enable Flow on Web APIs talk pages on mediawiki.org.Aug 13 2015, 10:31 PM
Spage updated the task description. (Show Details)
Spage set Security to None.

I added a few new hub talk pages and one moved page to the task, and made it a checklist.

According to our current plan, the Web Apis Hub would be the entire API: namespace in mediawiki.org. How does this fit with the plan for deploying Flow in mediawiki.org? Maybe we need a specific community consultation about this move.

@DannyH, can you comment? T107089: Enable Flow sitewide on Mediawiki.org has no blockers :) . @Quiddity said "no timetable beyond waiting until LQT is done (which is almost there...)"
We would need consultation if we enabled Flow just for the API namespace.

Some numbers: the API namespace already has about 150 top-level pages in English and 20 English subpages whose talk pages should be enabled. The other 400 pages are translations into other languages, I don't know if we should allow or discourage discussion on those. There are 77 API_talk pages currently (useful API query). A handful of translated subpages have talk pages with lonely unanswered questions , e.g. API_talk:Main_page/de.

Qgil added a comment.Aug 14 2015, 8:50 AM

The topic of discouraging discussions in translations is interesting, but it should be addressed in an own task, since it is not dependent on the technology of these Talk pages.

Spage closed this task as Resolved.Aug 31 2015, 7:24 PM

Thanks @DannyH all done, until the next pages :)

Danny and Quiddity are writing a Flowify mw.org proposal, I would rather the rest of the API namespace ride that train.